org.apache.lucene.search.vectorhighlight

## Class FieldQuery

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.FieldQuery

-     public class FieldQuery
      extends Object

  FieldQuery breaks down query object into terms/phrases and keeps them in a QueryPhraseMap structure.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FieldQuery.QueryPhraseMap` Internal structure of a query for highlighting: represents a nested query structure

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldQuery(Query query, IndexReader reader, boolean phraseHighlight, boolean fieldMatch)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `flatten(Query sourceQuery, IndexReader reader, Collection<Query> flatQueries, float boost)`
    `FieldQuery.QueryPhraseMap` | `getFieldTermMap(String fieldName, String term)`
    `FieldQuery.QueryPhraseMap` | `searchPhrase(String fieldName, List<FieldTermStack.TermInfo> phraseCandidate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldQuery

          public FieldQuery(Query query,
                            IndexReader reader,
                            boolean phraseHighlight,
                            boolean fieldMatch)
                     throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### flatten

          protected void flatten(Query sourceQuery,
                                 IndexReader reader,
                                 Collection<Query> flatQueries,
                                 float boost)
                          throws IOException

      Throws:
        `IOException`

    - #### getFieldTermMap

          public FieldQuery.QueryPhraseMap getFieldTermMap(String fieldName,
                                                           String term)

      Returns:
        QueryPhraseMap

    - #### searchPhrase

          public FieldQuery.QueryPhraseMap searchPhrase(String fieldName,
                                                        List<FieldTermStack.TermInfo> phraseCandidate)

      Returns:
        QueryPhraseMap

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.